<template>
  <div>
    <q-img
      :alt="activeImage"
      :src="activeImage"
      fit="contain"
      @click="switchImage"
    />
  </div>
</template>

<script>
const cvs = [
  '/images/cv/БЬЮТИ.png',
  '/images/cv/РЕМОНТНИК.png',
  '/images/cv/РЕПЕТИТОР.png',
]

export default {
  name: 'CV',
  data() {
    return {
      activeImageIdx: 0,
    }
  },
  computed: {
    activeImage() {
      return cvs[this.activeImageIdx]
    },
  },
  methods: {
    switchImage() {
      if (this.activeImageIdx < cvs.length - 1) {
        this.activeImageIdx += 1
      } else this.activeImageIdx = 0
    },
  },
}
</script>
